%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Get IRFS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
history=mymkirf(dr_,ys_,nperiods,shock,0);  % returns matrix containing IRFs for all variables

reordered = lgy_(dr_.order_var,:);          % the vector reordered contains names of variables
                                            % corresponding to rows of
                                            % history

% this loop assigns each row of history to its variable
% it also assigns steady state values
% IRFs are stored under varname_irf  where varname is the variable name
% SS values are stored under varname
% NB: SS values are scalar, IRFs are column vectors.
nvars = size(reordered,1);
for indxi = 1:nvars
    eval([dset,'_',deblank(reordered(indxi,:)),'_irf=transpose(history(indxi,:));']);
    eval([dset,'_',deblank(lgy_(indxi,:)),'= ys_(indxi);']);
end

% technology levels
% given growth rate, unravel path for level from initial level assumption
eval([dset,'_n = 0;'])% initial tech level
eval([dset,'_n_irf = 0*',dset,'_mun_irf;'])  %initialize a_p_irf as a vector of zeros of the same length as other _irf vars
eval([dset,'_n_irf(1) =',dset,'_mun_irf(1)+',dset,'_n;'])
for indx = 2:nperiods
    % unravel the level of technology using the linearized version of equation:
    % a_p = mu_p * a_p(-1)
    eval([dset,'_n_irf(indx) = ',dset,'_mun_irf(indx)+',dset,'_n_irf(indx-1);'])
end

eval([dset,'_n2 = 0;'])% initial tech level
eval([dset,'_n2_irf = 0*',dset,'_mun2_irf;'])  %initialize a_p_irf as a vector of zeros of the same length as other _irf vars
eval([dset,'_n2_irf(1) =',dset,'_mun2_irf(1)+',dset,'_n2;'])
for indx = 2:nperiods
    % unravel the level of technology using the linearized version of equation:
    % a_p = mu_p * a_p(-1)
    eval([dset,'_n2_irf(indx) = ',dset,'_mun2_irf(indx)+',dset,'_n2_irf(indx-1);'])
end


nscalelist = char('cc','gdp','ip','kp','rw','ccd','ccm','nfa');
n2scalelist = char('cc2','gdp2','ip2','kp2','rw2','ccd2','ccm2');



nvar = size(nscalelist,1);
n2var = size(n2scalelist,1);

% rescale using the linearized relationships between 
% scaled and unscaled variables
for indx = 1:nvar
    varname = deblank(nscalelist(indx,:));
    eval([dset,'_',varname,'_irf=',dset,'_',varname,'_irf+',dset,'_',varname,'*',dset,'_n_irf;']);
end

for indx = 1:n2var
    varname = deblank(n2scalelist(indx,:));
    eval([dset,'_',varname,'_irf=',dset,'_',varname,'_irf+',dset,'_',varname,'*',dset,'_n2_irf;']);
end





