clear
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Run model
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% uncomment the two lines below if second simulation involves a different .mod file

dynare scaled    % model with unit root shock to technology
save simulation0 dr_ ys_ lgy_ lgx_

dynare scaledgrowth    % model with growth rate shock to technology
save simulation1 dr_ ys_ lgy_ lgx_


% dynare incompletemarkets
% save simulation1 dr_ ys_ lgy_ lgx_


% number of periods for IRFs.
nperiods = 200;

%%%% Make figure to compare simulation 1 and 2
load simulation0 
shock = [0    %merr
         0    %merr2
         0.01 %nerr
         0];  %nerr2
dset = 'f0';        
makeirfscaled

load simulation1
shock = [0
         0
         0.01
         0];
dset = 'f1';        
makeirfscaled

titlelist = char('Output','Capital (next period)','Investment','Consumption','Real Exchange Rate (prod based)','Real Exchange Rate (cons based)');
legendlist = char('Home','Foreign');
figlabel = 'Responses to a 1% permanent increase in productivity';
makechart(titlelist,legendlist,figlabel,...
          100*[f0_gdp_irf/f0_gdp, f0_kp_irf/f0_kp, f0_ip_irf/f0_ip, f0_cc_irf/f0_cc, f0_pf_irf/f0_pf, f0_q_irf/f0_q],...
          100*[f0_gdp2_irf/f0_gdp2, f0_kp2_irf/f0_kp2, f0_ip2_irf/f0_ip2, f0_cc2_irf/f0_cc2, f0_pf2_irf/f0_pf2,f0_q2_irf/f0_q2])

titlelist = char('Imports','Exports','RER Production Based','Trade Balance (share of GDP)','RER Consumption Based','Net Foreign Assets (share of gdp)');
legendlist = char('Home','Foreign');
figlabel = 'Responses to a 1% permanent increase in productivity';
makechart(titlelist,legendlist,figlabel,...
          100*[f0_ccm_irf/f0_ccm, f0_ccm2_irf/f0_ccm2, f0_pf_irf/f0_pf, f0_tby_irf,f0_q_irf/f0_q, f0_nfay_irf],...
          100*[f0_ccm2_irf/f0_ccm2, f0_ccm_irf/f0_ccm, f0_pf2_irf/f0_pf2, -f0_tby_irf,f0_q2_irf/f0_q2, -f0_nfay_irf])
  

titlelist = char('Output','Capital (next period)','Investment','Consumption','Real Exchange Rate (prod based)','Real Exchange Rate (cons based)');
legendlist = char('Home','Foreign');
figlabel = 'Responses to temporary growth increase in productivity';
makechart(titlelist,legendlist,figlabel,...
          100*[f1_gdp_irf/f1_gdp, f1_kp_irf/f1_kp, f1_ip_irf/f1_ip, f1_cc_irf/f1_cc, f1_pf_irf/f1_pf, f1_q_irf/f1_q],...
          100*[f1_gdp2_irf/f1_gdp2, f1_kp2_irf/f1_kp2, f1_ip2_irf/f1_ip2, f1_cc2_irf/f1_cc2, f1_pf2_irf/f1_pf2,f1_q2_irf/f1_q2])

      
      
titlelist = char('Imports','Exports','RER Production Based','Trade Balance (share of GDP)','RER Consumption Based','Net Foreign Assets (share of gdp)');
legendlist = char('Level 1%','Growth 1%');
figlabel = 'Responses of Home country to Home technology shocks';
makechart(titlelist,legendlist,figlabel,...
          100*[f0_ccm_irf/f0_ccm, f0_ccm2_irf/f0_ccm2, f0_pf_irf/f0_pf, f0_tby_irf,f0_q_irf/f0_q, f0_nfay_irf],...
          100*[f1_ccm_irf/f1_ccm, f1_ccm2_irf/f1_ccm2, f1_pf_irf/f1_pf, f1_tby_irf,f1_q_irf/f1_q, f1_nfay_irf])      
      
      
load simulation0 
shock = [0    %merr
         0    %merr2
         0.1 %nerr
         0];  %nerr2
dset = 'f0';        
makeirfscaled

titlelist = char('Imports','Exports','RER Production Based','Trade Balance (share of GDP)','RER Consumption Based','Net Foreign Assets (share of gdp)');
legendlist = char('Level 10%','Growth 1%');
figlabel = 'Responses of Home country to Home technology shocks';
makechart(titlelist,legendlist,figlabel,...
          100*[f0_ccm_irf/f0_ccm, f0_ccm2_irf/f0_ccm2, f0_pf_irf/f0_pf, f0_tby_irf,f0_q_irf/f0_q, f0_nfay_irf],...
          100*[f1_ccm_irf/f1_ccm, f1_ccm2_irf/f1_ccm2, f1_pf_irf/f1_pf, f1_tby_irf,f1_q_irf/f1_q, f1_nfay_irf])
%       