clear
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Run model
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% uncomment the two lines below if second simulation involves a different .mod file

dynare scaledgrowth    % model with trade elasticity = 2
save simulation0 dr_ ys_ lgy_ lgx_

dynare scaledgrowthsize3    % home economy is 1/3 the size of the foreign economy
save simulation1 dr_ ys_ lgy_ lgx_

dynare scaledgrowthsize30    % home economy is 1/30 the size of the foreign economy
save simulation2 dr_ ys_ lgy_ lgx_

% dynare incompletemarkets
% save simulation1 dr_ ys_ lgy_ lgx_


% number of periods for IRFs.
nperiods = 200;

%%%% Make figure to compare simulation 1 and 2
load simulation0 
shock = [0    %merr
         0    %merr2
         0.01 %nerr
         0];  %nerr2
dset = 'f0';        
makeirfscaled

load simulation1
shock = [0
         0
         0.01
         0];
dset = 'f1';        
makeirfscaled


load simulation2
shock = [0
         0
         0.01
         0];
dset = 'f2';        
makeirfscaled



titlelist = char('Imports','Exports','RER Production Based','Trade Balance (share of GDP)','RER Consumption Based','Net Foreign Assets (share of gdp)');
legendlist = char('Equal Size','Home 1/3 Foreign','Home 1/30 Foreign');
figlabel = 'Responses of Home country to Home technology growth shocks';
makechart(titlelist,legendlist,figlabel,...
          100*[f0_ccm_irf/f0_ccm, f0_ccm2_irf/f0_ccm2, f0_pf_irf/f0_pf, f0_tby_irf,f0_q_irf/f0_q, f0_nfay_irf],...
          100*[f1_ccm_irf/f1_ccm, f1_ccm2_irf/f1_ccm2, f1_pf_irf/f1_pf, f1_tby_irf,f1_q_irf/f1_q, f1_nfay_irf],...
          100*[f2_ccm_irf/f2_ccm, f2_ccm2_irf/f2_ccm2, f2_pf_irf/f2_pf, f2_tby_irf,f2_q_irf/f2_q, f2_nfay_irf])

      
% titlelist = char('Imports','Exports','RER Production Based','Trade Balance (share of GDP)','RER Consumption Based','Net Foreign Assets (share of gdp)');
% legendlist = char('Home','Foreign');
% figlabel = 'Responses to a 1% increase in productivity';
% makechart(titlelist,legendlist,figlabel,...
%           100*[f0_ccm_irf/f0_ccm, f0_ccm2_irf/f0_ccm2, f0_pf_irf/f0_pf, f0_tby_irf,f0_q_irf/f0_q, f0_nfay_irf],...
%           100*[f0_ccm2_irf/f0_ccm2, f0_ccm_irf/f0_ccm, f0_pf2_irf/f0_pf2, f0_tby2_irf,f0_q2_irf/f0_q2, -f0_nfay_irf/pop2relpop_p])

       