%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Run model
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

dynare scaledgrowth   % model with no habits
save simulation0 dr_ ys_ lgy_ lgx_

dynare scaledgrowthphic  % model with habits
save simulation1 dr_ ys_ lgy_ lgx_


% number of periods for IRFs.
nperiods = 20;

%%%% Make figure to compare simulation 1 and 2
load simulation0 
shock = [0    %merr
         0    %merr2
         0.01 %nerr
         0];  %nerr2
dset = 'f0';        
makeirfscaled

load simulation1
shock = [0
         0
         0.01
         0];
dset = 'f1';        
makeirfscaled


titlelist = char('Output','Capital (next period)','Investment','Consumption','Real Exchange Rate (prod based)','Real Exchange Rate (cons based)');
legendlist = char('no habits','habits');
figlabel = 'Home response to a 1% increase in productivity growth';
makechart(titlelist,legendlist,figlabel,...
          100*[f0_gdp_irf/f0_gdp, f0_kp_irf/f0_kp, f0_ip_irf/f0_ip, f0_cc_irf/f0_cc, f0_pf_irf/f0_pf, f0_q_irf/f0_q],...
          100*[f1_gdp_irf/f1_gdp, f1_kp_irf/f1_kp, f1_ip_irf/f1_ip, f1_cc_irf/f1_cc, f1_pf_irf/f1_pf, f1_q_irf/f1_q])

titlelist = char('Imports','Exports','RER Production Based','Trade Balance (share of GDP)','RER Consumption Based','Net Foreign Assets (share of gdp)');
legendlist = char('no habits','habits');
figlabel = 'Home response to a 1% increase in productivity growth';
makechart(titlelist,legendlist,figlabel,...
          100*[f0_ccm_irf/f0_ccm, f0_ccm2_irf/f0_ccm2, f0_pf_irf/f0_pf, f0_tby_irf,f0_q_irf/f0_q, f0_nfay_irf],...
          100*[f1_ccm2_irf/f1_ccm2, f1_ccm_irf/f1_ccm, f1_pf2_irf/f1_pf2, f1_tby_irf, f1_q2_irf/f1_q2, f1_nfay_irf])
  

